<nav class="navbar mr-0 navbar-dark bg-dark">
    <a class="navbar-brand">Infos-Covid au {{resultatRegionR.date}}</a>
    <div class="navbar-brand">{{region}}</div>
    <form class="form-inline">
        <input matInput [matDatepicker]="picker" class="form-control" type="datetime" placeholder="Selectionner une date" (dateChange)="changeEvent($event)">
        <mat-datepicker-toggle matSuffix [for]=" picker "></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
    </form>
</nav>
<div class="container-fluid ">
    <div class="row justify-content-around ml-0 mr-0 mb-4 mt-4 ">
        <div class="card p-1 pb-0 " style="width: 13rem; height: 8rem; " *ngIf="hospitalisation ">
            <small class="row justify-content-between ml-1 mr-1 ">
                <fa-icon class="icon " [icon]="faHospital "></fa-icon>
                <div>Hospitalisation</div>
            </small>
            <div class="card-body justify-content-center ">
                <div class="mb-4 casConfirmes ">{{hospitalisation}}</div>
            </div>
            <div class="row mt-4 infos justify-content-between m-1 ">
                <p class="mb-0 mt-2 " *ngIf="nouvellesHospitalisation ">
                    <fa-icon [icon]="faUserPlus "></fa-icon> {{nouvellesHospitalisation}}
                </p>
                <p class="mb-0 mt-2 " *ngIf="nouvellesHospitalisation==undefined ">
                    <fa-icon [icon]="faUserPlus "></fa-icon> non disponible
                </p>
                <p class="mb-0 mt-2 " *ngIf="progHospi "> + {{progHospi | number : '1.2-2'}} &nbsp;
                    <fa-icon [icon]="faPercentage "></fa-icon>
                </p>
                <p class="mb-0 mt-2 " *ngIf="progHospi==undefined "> non disponible
                </p>
            </div>
            <div class="row justify-content-center ">
                <div class="alert alert-danger pb-2 pt-1 petitBloc" *ngIf="nouvellesHospitalisation==undefined && progHospi==undefined" role="alert">
                    Infos non disponible
                </div>
            </div>
        </div>
        <div class="card p-1 pb-0 " style="width: 13rem; height: 8rem; " *ngIf="hospitalisation==undefined ">
            <small class="row justify-content-between ml-1 mr-1 ">
                <fa-icon class="icon " [icon]="faHospital "></fa-icon>
                <div>Hospitalisation</div>
            </small>
            <div class="card-body mb-2 ">
                <div class="row justify-content-center indispo pt-0 ">
                    <fa-icon [icon]="faInfoCircle "></fa-icon>
                </div>
                <div class="row justify-content-center ">
                    <div class="alert alert-danger pb-4 pt-2 mt-1 " role="alert ">
                        Infos non disponible
                    </div>
                </div>
            </div>
        </div>
        <div class="card p-1 " style="width: 13rem; height: 8rem; " *ngIf="decesAvecEhpad || deces || resultatRegionR.deces ">
            <small class="row justify-content-between ml-1 mr-1 ">
                <fa-icon class="icon " [icon]="faMale "></fa-icon>
                <div>Déces</div>
            </small>
            <div class="card-body justify-content-center ">
                <div class="mb-4 casConfirmes " *ngIf="decesAvecEhpad ">{{decesAvecEhpad}}</div>
                <div class="mb-4 casConfirmes " *ngIf="deces ">{{deces}}</div>
                <div class="mb-4 casConfirmes " *ngIf="resultatRegionR.deces && decesAvecEhpad==undefined && deces==undefined ">
                    {{resultatRegionR.deces}}</div>
            </div>
            <div class="row mt-4 infos justify-content-between m-1 ">
                <p class="mb-0 mt-2 ">
                    <fa-icon [icon]="faUserPlus "></fa-icon> {{diffDeces}}
                </p>
                <p class="mb-0 mt-2 "> + {{progDeces | number : '1.2-2'}} &nbsp;
                    <fa-icon [icon]="faPercentage "></fa-icon>
                </p>
            </div>
            <div class="row justify-content-center ">
                <div class="alert alert-danger pb-2 pt-1 petitBloc" *ngIf="diffDeces==undefined || diffDeces==false" role="alert">
                    Infos non disponible
                </div>
            </div>
        </div>
        <div class="card p-1 pb-0 " style="width: 13rem; height: 8rem; " *ngIf="decesAvecEhpad==undefined && deces==undefined ">
            <small class="row justify-content-between ml-1 mr-1 ">
                <fa-icon class="icon " [icon]="faMale "></fa-icon>
                <div>Déces</div>
            </small>
            <div class="card-body mb-2 ">
                <div class="row justify-content-center indispo pt-0 ">
                    <fa-icon [icon]="faInfoCircle "></fa-icon>
                </div>
                <div class="row justify-content-center ">
                    <div class="alert alert-danger pb-4 pt-2 mt-1 " role="alert ">
                        Infos non disponible
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="bloc2 mt-4 mb-2 ">
        <div class="col-9 ml-2 mr-2 ">
            <div class="row ">
                <div class="blocBouton mb-2 w-100 ">
                    <input class="form-control mr-sm-2 w-25 justify-content-start " type="search " placeholder="Recherche par Zone " (keyup)="updateFilter($event) " />
                    <mat-accordion>
                        <mat-expansion-panel (opened)="panelOpenState=true " (closed)="panelOpenState=false ">
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    <fa-icon [icon]="faChartBar "></fa-icon> &nbsp; Graphique
                                </mat-panel-title>
                                <mat-panel-description>
                                    Hospitalisations / Guerisons {{panelOpenState ? '(Close)' : '(Open)'}}
                                </mat-panel-description>
                            </mat-expansion-panel-header>
                            <echarts [initOpts]="initOpts " [options]="options "></echarts>
                        </mat-expansion-panel>
                    </mat-accordion>
                </div>
                <div class="justify-content-center ">
                    <ngx-datatable #table class="material " [headerHeight]="50 " [footerHeight]="50 " rowHeight="auto " [limit]="10 " [rows]="rows ">
                        <ngx-datatable-column name="nom">
                            <ng-template let-column="column" ngx-datatable-header-template>
                                Departement
                            </ng-template>
                            <ng-template let-value="value" ngx-datatable-cell-template>
                                <strong>{{value}}</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="date">
                            <ng-template let-column="column" ngx-datatable-header-template>
                                Date
                            </ng-template>
                            <ng-template let-value="value" ngx-datatable-cell-template>
                                <strong *ngIf="value ">{{value}}</strong>
                                <strong *ngIf="value==undefined ">non disponible</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="hospitalises">
                            <ng-template let-column="column " ngx-datatable-header-template>
                                Hospitalisation
                            </ng-template>
                            <ng-template let-value="value " ngx-datatable-cell-template>
                                <strong *ngIf="value ">{{value}}</strong>
                                <strong *ngIf="value==undefined ">non disponible</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="reanimation ">
                            <ng-template let-column="column " ngx-datatable-header-template>
                                Réanimation
                            </ng-template>
                            <ng-template let-value="value " ngx-datatable-cell-template>
                                <strong *ngIf="value ">{{value}}</strong>
                                <strong *ngIf="value==undefined ">non disponible</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="nouvellesHospitalisations ">
                            <ng-template let-column="column " ngx-datatable-header-template>
                                Nouvelles Hosp
                            </ng-template>
                            <ng-template let-value="value " ngx-datatable-cell-template>
                                <strong *ngIf="value ">{{value}}</strong>
                                <strong *ngIf="value==undefined ">non disponible</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="nouvellesReanimations ">
                            <ng-template let-column="column " ngx-datatable-header-template>
                                Nouvelles Rea
                            </ng-template>
                            <ng-template let-value="value " ngx-datatable-cell-template>
                                <strong>{{value}}</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="deces ">
                            <ng-template let-column="column " ngx-datatable-header-template>
                                Déces
                            </ng-template>
                            <ng-template let-value="value " ngx-datatable-cell-template>
                                <strong>{{value}}</strong>
                            </ng-template>
                        </ngx-datatable-column>
                        <ngx-datatable-column name="gueris ">
                            <ng-template let-column="column " ngx-datatable-header-template>
                                Guéris
                            </ng-template>
                            <ng-template let-value="value" ngx-datatable-cell-template>
                                <strong>{{value}}</strong>
                            </ng-template>
                        </ngx-datatable-column>
                    </ngx-datatable>
                </div>
            </div>
        </div>
        <div class="col-2 p-0 align-items-center ">
            <div class="row justify-content-end ">
                <div class="card mb-4 mr-4 pt-1 " style="width: 8rem; height: 8rem; " *ngIf="reanimations ">
                    <small class="row justify-content-between ml-1 mr-1 ">
                        <fa-icon class="icon " [icon]="faProcedures "></fa-icon>
                        <div>Réanimations</div>
                    </small>
                    <div class="card-body pt-4 ">
                        <div class="casConfirmes ">{{reanimations}}</div>
                    </div>
                    <div class="row mt-4 infos justify-content-center m-1 " *ngIf="nouvellesReanimations ">
                        <p class="mb-0 mt-2 ">
                            <fa-icon [icon]="faUserPlus "></fa-icon>&nbsp;{{nouvellesReanimations}}
                        </p>
                    </div>
                    <div class="row mt-4 infos justify-content-center m-1 " *ngIf="nouvellesReanimations==undefined ">
                        <div class="row mb-4 mt-2 ">
                            <fa-icon [icon]="faInfoCircle "></fa-icon>&nbsp;
                            <div class="alert alert-danger pt-0 pb-3 mb-1 petitBloc2 " role="alert ">
                                Infos non disponible
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card mb-4 mr-4 pt-1 " style="width: 8rem; height: 8rem; " *ngIf="reanimations==undefined ">
                    <small class="row justify-content-between ml-1 mr-1 ">
                        <fa-icon class="icon " [icon]="faProcedures "></fa-icon>
                        <div>Réanimations</div>
                    </small>
                    <div class="card-body mb-2 ">
                        <div class="row justify-content-center indispo pt-0 ">
                            <fa-icon [icon]="faInfoCircle "></fa-icon>
                        </div>
                        <div class="row justify-content-center ">
                            <div class="alert alert-danger pb-4 pt-2 mt-1 petitBloc " role="alert ">
                                Infos non disponible
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row justify-content-end ">
                <div class="card mb-4 mr-4 pt-1 " style="width: 8rem; height:8rem; " *ngIf="guerrison ">
                    <small class="row justify-content-between ml-1 mr-1 ">
                        <fa-icon class="icon " [icon]="faVirusSlash "></fa-icon>
                        <div>Guéris</div>
                    </small>
                    <div class="card-body pt-4 ">
                        <div class="gueris ">{{guerrison}}</div>
                    </div>
                    <div class="row mt-4 infos justify-content-center m-1" *ngIf="diffGueris">
                        <p class="mb-0 mt-2 ">
                            <fa-icon [icon]="faUserPlus "></fa-icon>&nbsp;{{diffGueris}}
                        </p>
                    </div>
                    <div class="row justify-content-center ">
                        <div class="alert alert-danger pb-2 pt-1 petitBloc" *ngIf="diffGueris==undefined || diffGueris==false" role="alert">
                            Infos non disponible
                        </div>
                    </div>
                </div>
                <div class="card mb-4 mr-4 pt-1 " style="width: 8rem; height:8rem; " *ngIf="guerrison==undefined ">
                    <small class="row justify-content-between ml-1 mr-1 ">
                        <fa-icon class="icon " [icon]="faVirusSlash "></fa-icon>
                        <div>Guéris</div>
                    </small>
                    <div class="card-body mb-2 ">
                        <div class="row justify-content-center indispo pt-0 ">
                            <fa-icon [icon]="faInfoCircle "></fa-icon>
                        </div>
                        <div class="row justify-content-center ">
                            <div class="alert alert-danger pb-4 pt-2 mt-1 petitBloc " role="alert ">
                                Infos non disponible
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row justify-content-end ">
                <div class="mb-4 mr-4 pt-1 font-weight-bolder"><button class="btn btn-secondary" (click)="navigate()" style="width:8rem; height:8rem;">Retour</button>
                </div>
            </div>
        </div>
    </div>
</div>